Skip to main content
GET
/
orgs
/
{orgId}
/
anomaly-alerts
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/anomaly-alerts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "agentId": "<string>",
      "baselineValue": 123,
      "actualValue": 123,
      "zScore": 123,
      "ruleId": "<string>",
      "details": {},
      "acknowledgedBy": "<string>",
      "acknowledgedAt": "<string>",
      "resolvedBy": "<string>",
      "resolvedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Query Parameters

agentId
string

Filter by agent identifier

metric
enum<string>

Filter by metric type

Available options:
email_send_rate,
sms_send_rate,
vault_access_rate,
api_call_rate,
unique_recipients
severity
enum<string>

Filter by severity

Available options:
INFO,
WARNING,
CRITICAL
status
enum<string>

Filter by status

Available options:
TRIGGERED,
ACKNOWLEDGED,
RESOLVED,
FALSE_POSITIVE
cursor
string

Pagination cursor

limit
integer
default:20

Maximum number of alerts to return

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of anomaly alerts

items
object[]
required

List of anomaly alerts

nextCursor
string | null
required

Cursor for the next page, null if no more results